%define prefix   /usr
%define desktop_file 1
%if %{desktop_file}
%define desktop_file_utils_version 0.2.93
%endif

Summary: An image viewer.
Name: gqview
Version: 1.0.2
Release: 2
Copyright: GPL
Group: User Interface/X
Source: http://www.geocities.com/SiliconValley/Haven/5235/gqview-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

URL: http://gqview.sourceforge.net/

Requires: gtk+ >= 1.2
Requires: imlib >= 1.9
%if %{desktop_file}
Requires: /usr/bin/desktop-file-install
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif
BuildRequires: gnome-libs-devel

%description
GQview is an image viewer for browsing through graphics files. GQview
features include single click file viewing, support for external
editors, previewing images using thumbnails, and zoom.

Install GQview if you need an image viewer.

%prep
%setup -q

%build
perl -pi -e 's,^#define GQVIEW_HELPDIR "\$prefix/share/gqview",#define GQVIEW_HELPDIR "%{_docdir}/%{name}-%{version}",g' configure ||:
perl -pi -e 's-^AC_DEFINE_UNQUOTED(GQVIEW_HELPDIR, "$prefix/share/gqview")-AC_DEFINE_UNQUOTED(GQVIEW_HELPDIR, "%{_docdir}/%{name}-%{version}")-g' configure.in ||:
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%prefix
else
  ./configure --prefix=%prefix
fi

make

%install
rm -rf $RPM_BUILD_ROOT

make GNOME_DATADIR=$RPM_BUILD_ROOT%{prefix}/share prefix=$RPM_BUILD_ROOT%{prefix} install
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applications
desktop-file-install --vendor gnome \
	--dir $RPM_BUILD_ROOT%{prefix}/share/applications \
	--add-category "Application;Graphics;X-Red-Hat-Base" \
	$RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Graphics/gqview.desktop
%endif

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING TODO 
%{prefix}/bin/gqview
%{prefix}/share/pixmaps/gqview.png
%if %{desktop_file}
%{prefix}/share/applications/gnome-gqview.desktop
%else
%{prefix}/share/gnome/apps/Graphics/gqview.desktop
%endif

%changelog
* Mon Jul 29 2002 Karsten Hopp <karsten@redhat.de>
- remove --add-only-show-in GNOME 

* Tue Jul 16 2002 Karsten Hopp <karsten@redhat.de> 1.0.2-1
- update (#68838)
- use desktop-file-install
- fix path to help files

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Jonathan Blandford <jrb@redhat.com>
- Updated to new version.  Added locale information.  Fixed
  build directive to reflect new build system.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary

* Mon Jan 17 2000 Elliot Lee <sopwith@redhat.com>
- Fix group.

* Wed Jul 7 1999 Michael Fulbright <drmike@redhat.com>
- version 0.7.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries
* Sat Mar 6 1999 Michael Fulbright <drmike@redhat.com>
- version 0.6.0
* Wed Oct 7 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.2
* Fri Sep 11 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.1
* Sat Aug 15 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.0
* Wed Aug 5 1998 Joel Young <jyoung@erols.com>
- enhanced rpm .spec file

